Bug 595784 - kdeutils: ark: disable JS / Java / plugins in khtml file preview
Summary: kdeutils: ark: disable JS / Java / plugins in khtml file preview
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kdeutils (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Ngo Than
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 15:35 UTC by Tomas Hoger
Modified: 2010-11-10 20:43 UTC (History)
3 users (show)

Fixed In Version: kdeutils-4.3.4-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 20:43:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2010-05-25 15:35:20 UTC
Description of problem:
We should disable JS / Java / plugins in ark's khtml file preview.  See upstream bug for details and patch:
  https://bugs.kde.org/show_bug.cgi?id=235546

This is related to bug #532021.  We'll likely to adopt upstream fix for XHR problem once available, though it's safer to disable plugins/scripting in ark anyway.

Comment 1 RHEL Product and Program Management 2010-05-25 15:36:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Ngo Than 2010-06-24 21:57:07 UTC
it's fixed in  kdeutils-4.3.4-6.el6

Comment 4 Radek Lat 2010-10-04 15:12:16 UTC
Tested and Verified on kdeutils-4.3.4-6.el6.

Comment 5 releng-rhel@redhat.com 2010-11-10 20:43:31 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.